---
import MainHead from "./MainHead.astro";
import Footer from "../components/Footer.astro";
import Nav from "../components/Nav.astro";

import "../scss/App.scss";

const {
  title = "My Astro Blog",
  description = "Astro framework",
  image,
  data,
  robots,
} = Astro.props;
---

<html lang="en">
  <MainHead {title} {description} {image} {data} {robots} />
  <body>
    <div class="wrap">
      <Nav />

      <main>
        <slot> Default Text</slot>
      </main>

      <Footer />
    </div>
  </body>
</html>

